Need current version of 'engines'

Using datebocks which requires engines.

I tried to update which wiped out my current install of engines plugin
and can't download again because rails-engines.org is pretty much
unresponsive.

Does anyone have a current copy of engines that I can get from them?

Using datebocks which requires engines.

I tried to update which wiped out my current install of engines plugin
and can't download again because rails-engines.org is pretty much
unresponsive.

Does anyone have a current copy of engines that I can get from them?